# Interface MetadataHolder

All Known Implementing Classes:
  `TableMetadataStage, TablesEndpointStage, TapSchemaMetadataHolder, TapSchemaStage`

public interface MetadataHolder
Provides table metadata.

Since:
  24 Jun 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.vo.SchemaMeta[]`
`getTableMetadata()`
Returns the table metadata which will be used to frame example ADQL queries.
`boolean`
`hasDetail()`
Indicates whether the TableMeta objects in the metadata tree contained by this object are expected to contain column and foreign key metadata.

## Method Details

### getTableMetadata

uk.ac.starlink.vo.SchemaMeta[] getTableMetadata()
Returns the table metadata which will be used to frame example ADQL queries. The returned objects should be fully populated (table and column lists in place, rather than needing further read operations).

Returns:
  tableset schema metadata array

### hasDetail

boolean hasDetail()
Indicates whether the TableMeta objects in the metadata tree contained by this object are expected to contain column and foreign key metadata.

Returns:
  true if TableMetas are populated with ColumnMeta and ForeignMeta arrays where appropriate; false if those have been omitted